# $Revision: 1.34.2.3 $, $Date: 2007-11-24 23:38:13 $
#
# TODO: fix t1lib build time misdetection (very low prio)
#
# Conditional build:
%bcond_without	dbus	# enable DBUS support
#
Summary:	Document viewer for multiple document formats
Summary(pl):	Przegldarka dokumentw w wielu formatach
Name:		evince
Version:	0.5.2
Release:	4
License:	GPL v2
Group:		X11/Applications/Graphics
Source0:	http://ftp.gnome.org/pub/gnome/sources/evince/0.5/%{name}-%{version}.tar.bz2
# Source0-md5:	732df368435cebddd4cc8132a8a280bd
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-gs8.patch
URL:		http://www.gnome.org/projects/evince/
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_dbus:BuildRequires:	dbus-glib-devel >= 0.36}
BuildRequires:	djvulibre-devel >= 3.5.15
BuildRequires:	ghostscript
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	gnome-vfs2-devel >= 2.14.0
BuildRequires:	gtk+2-devel >= 2:2.6.4
BuildRequires:	intltool >= 0.34.2-2
BuildRequires:	kpathsea-devel
BuildRequires:	libglade2-devel >= 1:2.5.1
BuildRequires:	libgnomeprintui-devel >= 2.12.0
BuildRequires:	libgnomeui-devel >= 2.14.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libxslt-progs
BuildRequires:	nautilus-devel
BuildRequires:	pkgconfig
BuildRequires:	poppler-glib-devel >= 0.5.1
BuildRequires:	python-libxml2
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper
Requires(post,preun):	GConf2
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	scrollkeeper
Requires:	cairo >= 0.9.2-2
Requires:	libgnomeui >= 2.14.0
Requires:	poppler-glib >= 0.5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Evince is a document viewer for multiple document formats like pdf,
postscript, and many others. The goal of evince is to replace the
multiple document viewers that exist on the GNOME Desktop, like ggv,
gpdf, and xpdf with a single simple application.

%description -l pl
Evince jest przegldark dokumentw w wielu formatach takich jak pdf,
postscript i wielu innych. W zamierzeniach program ma zastpi
przegldarki dokumentw dla rodowiska GNOME, takie jak ggv, gpdf i
xpdf jedn prost aplikacj.

%package -n nautilus-extension-evince
Summary:	Evince extension for Nautilus
Summary(pl):	Rozszerzenie Evince dla Nautilusa
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus >= 2.14

%description -n nautilus-extension-evince
Shows Evince document properties in Nautilus.

%description -n nautilus-extension-evince -l pl
Pokazuje waciwoci dokumentu Evince w Nautilusie.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
gnome-doc-prepare --copy --force
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static \
	--disable-schemas-install \
	%{?with_dbus:--enable-dbus} \
	--enable-djvu \
	--enable-dvi \
	--enable-nautilus \
	--enable-pixbuf \
	--enable-tiff
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no
rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/*.la

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install evince-thumbnailer-djvu.schemas
%gconf_schema_install evince-thumbnailer-dvi.schemas
%gconf_schema_install evince-thumbnailer.schemas
%gconf_schema_install evince.schemas
%update_desktop_database_post
%scrollkeeper_update_post

%preun
%gconf_schema_uninstall evince-thumbnailer-djvu.schemas
%gconf_schema_uninstall evince-thumbnailer-dvi.schemas
%gconf_schema_uninstall evince-thumbnailer.schemas
%gconf_schema_uninstall evince.schemas

%postun
%update_desktop_database_postun
%scrollkeeper_update_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_sysconfdir}/gconf/schemas/evince-thumbnailer-djvu.schemas
%{_sysconfdir}/gconf/schemas/evince-thumbnailer-dvi.schemas
%{_sysconfdir}/gconf/schemas/evince-thumbnailer.schemas
%{_sysconfdir}/gconf/schemas/evince.schemas
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_omf_dest_dir}/evince

%files -n nautilus-extension-evince
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/nautilus/extensions-1.0/*.so*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: evince.spec,v $
Revision 1.34.2.3  2007-11-24 23:38:13  glen
- rel 4

Revision 1.34.2.2  2006-05-18 22:34:36  baggins
- release 3
- strict reqs

Revision 1.34.2.1  2006/05/16 11:05:43  baggins
- merged from HEAD

Revision 1.44  2006/04/20 19:02:31  freetz
- rel.2

Revision 1.43  2006/03/14 10:28:27  aflinta
- fixed poppler requirements

Revision 1.42  2006/03/13 22:13:22  freetz
- 0.5.2

Revision 1.41  2006/03/01 11:00:30  wrobell
- rel. 2 due to changed soname of poppler 0.5.1

Revision 1.40  2006/02/28 12:55:49  wrobell
- intltool build dependencies fixed

Revision 1.39  2006/02/28 08:27:42  freetz
- 0.5.1

Revision 1.38  2006/02/25 14:49:29  freetz
- added incidentally omited changlog info / fixed typo

Revision 1.37  2006/02/25 14:40:02  freetz
- rel.2 for rebuild with poppler 0.5.0-3 (crap, soname change!)
- enable dbus support

Revision 1.36  2006/01/20 10:45:50  freetz
- force poppler version

Revision 1.35  2006/01/20 09:28:26  freetz
- 0.5.0

Revision 1.34  2005/11/24 10:28:26  freetz
- rel. 3

Revision 1.33  2005/11/23 21:37:30  blekot
- BR: libxslt-progs

Revision 1.32  2005/09/12 21:21:43  pawcioos
- added BR: python-libxml2

Revision 1.31  2005/08/28 19:53:38  arekm
- disable dbus for now; reenable when new dbus goes into ac; rel 2

Revision 1.30  2005/08/27 14:24:16  paladine
- removed disable_dbus patch
- works for me, rel. 1

Revision 1.29  2005/08/26 22:57:44  aflinta
- 0.4.0

Revision 1.28  2005/08/17 21:33:36  freetz
- forced fixed cairo version in R:, fixed subpackage descriptions, TODO
  added, more BRs, rel. 0.9

Revision 1.27  2005/08/17 17:56:25  paladine
- added disable_dbus patch (finally evince works)
- rel. 0.2

Revision 1.26  2005/08/17 10:38:29  paladine
- updated to 0.3.4
- added nautilus-extension-evince subpackage
- itemize schemas

Revision 1.25  2005/08/16 08:26:03  aflinta
- in release notes they require poppler 0.4.0

Revision 1.24  2005/08/16 08:09:56  freetz
- started work on 0.3.3, more BRs, more features enabled

Revision 1.23  2005/07/14 08:21:29  freetz
- djvulibre BR commented out - cvs version is required for dvi support

Revision 1.22  2005/06/24 19:05:35  wrobell
- ver. 0.3.2

Revision 1.21  2005/05/21 19:23:49  wrobell
- ver. 0.3.1

Revision 1.20  2005/05/08 03:43:36  wrobell
- support for dvi and djvu formats
- rel. 2

Revision 1.18  2005/04/24 12:01:45  freetz
- 0.2.1, post/postun update scrollkeeper daabase, fixed typo, updated BRs
  (splitted poppler libs)

Revision 1.17  2005/04/08 09:56:03  paladine
- new style macros
- STBR

Revision 1.16  2005/04/06 11:24:12  paladine
- use new faster rpm's GConf automation
- R(post,postun): desktop-file-utils
- rel. 2

Revision 1.15  2005/04/06 10:20:40  wrobell
- ver. 0.2.0

Revision 1.14  2005/03/28 23:50:33  paladine
- require new stuff
- rel. 2

Revision 1.13  2005/03/15 08:11:01  paladine
- missing epoch

Revision 1.12  2005/03/14 19:04:44  wrobell
- ver. 0.1.9

Revision 1.11  2005/03/10 03:48:10  wrobell
- ver. 0.1.7

Revision 1.10  2005/03/05 21:59:58  qboosh
- BR: autoconf

Revision 1.9  2005/03/05 17:48:30  wiget
- added gs8.patch (newer GS report version on stderr not stdout)

Revision 1.8  2005/03/04 14:25:41  wrobell
- ver. 0.1.6

Revision 1.7  2005/02/27 23:59:04  paladine
- missing BRs

Revision 1.6  2005/02/27 19:48:36  grzegol
- updated to 0.1.5

Revision 1.5  2005/02/14 08:44:02  adamg
- release 3

Revision 1.4  2005/02/14 08:30:29  adamg
- refresh config.sub (fixes build on amd64)

Revision 1.3  2005/02/10 22:43:14  paladine
- added desktop patch
- proper license
- rel. 2

Revision 1.2  2005/02/10 21:24:43  paladine
- pl

Revision 1.1  2005/02/10 19:09:41  grzegol
- new
